.mainpage.price--component-block{
    margin-top: clamp(var(--g10-mobile), 6vw, var(--g10-desktop));
    margin-bottom: clamp(var(--g8-mobile), 3vw, var(--g8-desktop));
}

.mainpage .price--top-flex{
    display: flex;
    align-items: center;
    justify-content: center;
}

.price--tabs{
    display: flex;
    gap: 1rem;
    align-items: center;
}

.price--top-badge{
    display: flex;
    gap: 8px;


    /* #F1F2F7 */

    /* TABS SLIDER START */
    .tabs__trigger.back-white{
        background-color: var(--white);
    }
    .tabs__trigger.back-blue,
    .tabs__trigger.current--item{
        background-color: var(--brand-blue);
    }
    .tabs__trigger.back-transparent{
        background-color: var(--grey-btn-on-white);
    }

    .tabs__trigger.color-grey{
        color: var(--tag-slider-color);
    }
    .tabs__trigger.color-blue{
        color: var(--brand-blue);
    }
    .tabs__trigger.color-white,
    .tabs__trigger.current--item{
        color: var(--white);
    }

    @media (any-hover: hover) {
        .tabs__trigger:hover{
            cursor: pointer;
        }
        .tabs__trigger.back-white:hover{
            background-color:#F1F2F7;
        }
        .tabs__trigger.back-blue:hover,
        .tabs__trigger.current--item:hover{
            background-color: var(--brand-blue-hover);
        }
        .tabs__trigger.back-transparent:hover{
            background-color: var(--grey-btn-on-white-hover);
        }
        .tabs__trigger.color-grey:hover{
            color: #37383D;
        }
        .tabs__trigger.color-blue:hover{
            color: var(--brand-blue-hover);
        }
        .tabs__trigger.color-white:hover,
        .tabs__trigger.current--item:hover{
            color: var(--white);
        }
    }

    /* TABS SLIDER ENDS */
}

    .price--label-text{
        color: #767682;
        font-weight: 400;
        font-size: 12px;
        line-height: 16px;
        text-align: left;

        u{
            text-decoration-color: #d8dce6;
        }

        a{
            color: #767682;
        }

        a:hover{
            color: var(--brand-blue);
        }
    }

    .link--price{
        font-weight: 600;
        font-size: 14px;
        line-height: 22px;
    }

.display-grid{
    display: grid;
}

.scrollable-priceblock{
    position: relative;
    width: 100%;
    /*overflow: clip;*/
}


.overflow_hidden_wrapper{
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    max-width: 100%;
    pointer-events: none;
}


.display-grid.prices--scrollable{
    position: relative;
    grid-template-columns: repeat(5,310px);
    gap: calc(1rem / 2);
    transition: transform 0.5s ease;
    transform: translateX(0);
    z-index: 2;
    width: 100%;
    align-items: end;
    pointer-events: none;
}

.wrapper_item-tariff{
    position: relative;
    opacity: 1;
    transition: opacity 0.3s ease;
    pointer-events: all;
}

.active_last .prices--scrollable{
    transform: translateX(-274px);
    .wrapper_item-tariff:first-child{
        opacity: 0;
        pointer-events: none;
    }
}


.active_first .prices--scrollable{
    .wrapper_item-tariff:last-child{
        opacity: 0;
        pointer-events: none;
    }
}


.textabove{
    position: relative;
    height: 64px;
    border-radius: 16px;
    padding: 4px 0;
}
.textabove.blue{
    background: #7f9af1;
    color: var(--white);
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
}

.sticky-bind-buttons{
    /*position: sticky;*/
    /*top: 40px;*/
    /*z-index: 3;*/
    /*pointer-events: none;*/
    /*height: 0;*/
}

.sticky-bind-buttons .small_bind-item {
    pointer-events: all;
}

.small_bind-item{
    position: absolute;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    width: 38px;
    padding: 1rem 0.5rem;
    writing-mode: vertical-rl;
    transform: rotate(180deg);
    text-orientation: mixed;
    background: var(--white);
    border-radius: 16px;
    min-height: 157px;
    font-weight: 600;
    font-size: 14px;
    line-height: 22px;
    color: var(--heading-color);
    opacity: 1;
    transition: opacity 0.3s ease;
    z-index: 3;
    pointer-events: all;
}


.small_bind-item[data-role="next"]{
    right: 0;
}

.has_text_above .small_bind-item{
    top: 30px;
}

.small_bind-item.hide_bind{
    opacity: 0;
    pointer-events: none;
}

.active_last .small_bind-item.active,
.active_first .small_bind-item.active{
    justify-content: flex-start;
}

.active_last .small_bind-item.active svg{
    transform: rotate(180deg);
}
.active_first .small_bind-item.active svg{
    transform: rotate(0deg);
}

.active_first .small_bind-item.hide_bind svg{
    transform: rotate(180deg);
}


.tarrif_priceblock{
    padding: calc(1rem + 8px);
    background: var(--white);
    border-radius: 16px;
    text-align: left;

    display: flex;
    flex-direction: column;
    gap: 1rem;

    .tarrif_name{
        font-weight: 600;
        font-size: clamp(15px,2vw,16px);
        line-height: clamp(24px,2vw,26px);
        color: var(--heading-color);
    }

    .tarrif_description{
        font-weight: 400;
        font-size: 13px;
        line-height: 20px;
        color: #969AA5;
        /*display: -webkit-box;*/
        /*-webkit-line-clamp: 3;*/
        /*-webkit-box-orient: vertical;*/
        /*overflow: hidden;*/
        /*text-overflow: ellipsis;*/
        /*min-height: 60px;*/
    }
}

.has_text_above .tarrif_priceblock{
    position: relative;
    z-index: 2;
    bottom: 36px;
    margin-bottom: -36px;
}


.tarrif_priceblock.hit{
    border: 2px solid #7f9af1;
}


/*PRICES*/

.price_big-title{
    font-weight: 600;
    font-size: clamp(18px,2vw,20px);
    line-height: clamp(26px,2vw,30px);
    color: var(--heading-color);
}

.price_sale{
    opacity: 1;
    display: flex;
    align-items: center;
    gap: 6px;
}

.price_sale-title{
    font-weight: 400;
    font-size: 14px;
    line-height: 22px;
    text-decoration: line-through;
    color: var(--heading-color);
}

.price_economy_secondary{
    opacity: 1;
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: #969AA5;
}

.price_economy_secondary.transparent,
.price_sale.transparent{
    opacity: 0;
}

.tariff_reg_btn{
    padding: 0.5rem 1rem;
    width: 100%;
    font-weight: 600;
    font-size: 14px;
    line-height: 22px;
}

.vertical__flex{
    display: flex;
    flex-direction: column;
    gap: 0.125rem;
}

.tariff__dop-item{
    min-height: 82px;
    padding: 6px 8px;
    margin: 0 -8px;
    border-radius: 8px;
}

.tariff__dop-item.has_bg{
    background: var(--my-custom-bg);
}

.tariff__dop-item.small_height-elements{
    min-height: 32px;
}

.tarrif_priceblock--top-flex{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 2px;
}

.tarrif_sticker{
    padding: 6px 5px;
    border-radius: 6px;
    background: #16CFAE;
    font-weight: 600;
    font-size: 11px;
    line-height: 15px;
    text-transform: uppercase;
    color: var(--white);
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
}

.tariff__dop-name{
    font-weight: 600;
    font-size: 13px;
    line-height: 20px;
    color: var(--heading-color);
}
.tariff__dop-name.disabled_color{
    color: #dee0e6;
}

.tariff__dop-desc{
    margin-top: 2px;
    color: #767682;
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.tariff__dop-name-flex{
    display: flex;
    gap: 6px;
    align-items: end;
}

.property--sticker{
    padding: 4px 4px;
    border-radius: 4px;
    font-weight: 600;
    font-size: 9px;
    line-height: 12px;
    letter-spacing: 5%;
    text-transform: uppercase;
    background: #EDF0F7;
    color: #767682;
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;

    margin-bottom: 2px;
}

.tariff_main{
    font-weight: 400;
    font-size: 13px;
    line-height: 20px;
    color: var(--heading-color);
    display: flex;
    gap: 6px;
    align-items: center;
}

.tariff_main-info{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
}

.tariff__point-divider{
    margin: 4px 0;
    background: #E6E9F2;
    height: 1px;
}

.property--sticker.top{
    background: #AC3EC7;
    color: var(--white);
}

.property--sticker.blue{
    background: var(--brand-blue);
    color: var(--white);
}

.property--sticker.transparent{
    background: transparent;
}

.property--sticker.no-padding{
    padding: 0;
}

.tariff__dop-flex{
    display: flex;
    gap: 0.25rem;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.tariff__dop-indicator{
    display: flex;
    gap: 0.125rem;
    align-items: center;
}

.indicator{
    width: 5px;
    height: 4px;
    background: #D8DCE6;
}

.indicator:first-child{
    border-radius: 4px 0 0 4px;
}

.indicator:last-child{
    border-radius: 0 4px 4px 0;
}

.tariff__dop-indicator.filed_1{
    .indicator:first-child{
        background: #FFB400;
    }
}

.tariff__dop-indicator.filed_2{
    .indicator:nth-child(1),
    .indicator:nth-child(2){
        background: #16CFAE;
    }
}

.tariff__dop-indicator.filed_3{
    .indicator{
        background: #3761E9;
    }
}

.sticky--head-select-plan{
    position: relative;
    width: 100%;
}

.sticky--head-select-value{
    background: #F5F7FC;
    padding: 6px 12px;
    border-radius: 32px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.select-flex{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.select-title{
    font-weight: 400;
    font-size: 15px;
    line-height: 24px;
    color: var(--heading-color);
}

.sticky--head-name{
    font-weight: 600;
    font-size: 15px;
    line-height: 24px;
    color: var(--heading-color);
}

.sticky--head-select-absolute-options{
    position: absolute;
    width: fit-content;
    padding: 6px;
    box-shadow: 0px 8px 32px 0px #0000001A;
    background: var(--white);
    border-radius: 12px;
    top: 24px;
    z-index: 5;
}

.sticky--head-select-absolute-options.hidden-visible{
    visibility: hidden;
}

.sticky--head-select-option{
    padding: 6px 12px;
    border-radius: 8px;
}

.sticky--head-select-option.selected{
    background: #F0F2F8;
}

.absolute--tooltip {
    position: absolute;

    .wrapper--tooltip{
        position: relative;

        .tooltip-text{
            width: fit-content;
            background-color: var(--heading-color);
            color: var(--white);
            text-align: center;
            font-size: 0.875rem;
            line-height: 1.375rem;
            padding: 0.75rem;
            border-radius: 4px;
            width: 280px;
            position: absolute;
            left: 50%;
            transform: translateX(-50%);
            bottom: calc(100% + 11px);
            z-index: 5;
        }

        .tooltip-text::before {
            content: "";
            width: 8px;
            margin-top: -4px;
            margin-left: -4px;
            position: absolute;
            top: 100%;
            left: 50%;
            transform: rotate(45deg);
            background-color: inherit;
            display: block;
            height: 8px
        }
    }
}

.absolute--tooltip.to--the-right-mobile .tooltip-text::before {
    content: "";
    width: 8px;
    margin-top: -4px;
    margin-left: -4px;
    position: absolute;
    top: 100%;
    left: 86%;
    transform: rotate(45deg);
    background-color: inherit;
    display: block;
    height: 8px
}

.absolute--tooltip.to--the-left-mobile .tooltip-text::before {
    content: "";
    width: 8px;
    margin-top: -4px;
    margin-left: -4px;
    position: absolute;
    top: 100%;
    left: 25%;
    transform: rotate(45deg);
    background-color: inherit;
    display: block;
    height: 8px
}

@media (any-hover: hover) {
    .small_bind-item:hover{
        cursor: pointer;
        color: var(--brand-blue);
        svg path{
            stroke: var(--brand-blue);
        }
    }

    .tariff__dop-item.disabled_item:hover,
    .tariff__dop-item.has_bg:hover{
        cursor: pointer;
    }
    .tariff__dop-item.has_bg:hover{
        background: var(--my-custom-bg-hover);
    }
    .tariff__dop-item[data-compare-section]:not(.disabled_item,.has_bg):hover,
    .tariff__dop-item[data-compare-link]:not(.disabled_item,.has_bg):hover{
        cursor: pointer;
        background: #F5F7FC;
        .tariff__dop-name{
            color: var(--brand-blue);
        }
    }

    .sticky--head-select-plan:hover{
        cursor: pointer;
    }

    .show_message-top:hover{
        cursor: pointer;
    }

    .sticky--head-select-absolute-options .sticky--head-select-option:hover{
        cursor: pointer;
    }
    .sticky--head-select-absolute-options .sticky--head-select-option:not(.selected):hover{
        background: #F5F7FC;
    }

}

.more--compare,
.less--compare{
    display: none;
    position: absolute;
    bottom: 20px;
    padding: 0 20px;
    width: 100%;
    text-align: left;
}

.btn--prices{
    padding: 14px 28px !important;
    font-weight: 600 !important;
    font-size: 18px !important;
    line-height: 28px !important;
    gap: calc(1rem - 4px);
}

/*DESKTOP ≤ 1350px*/
@media (max-width: 1350px) {
    .price--top{
        max-width: 1025px;
        margin: 0 auto;
    }

    .other-user--amount{
        white-space: nowrap;
    }

    .scrollable-priceblock {
        max-width: 1025px;
        --card-size: 239px;
        margin: 0 auto;
    }

    .display-grid.prices--scrollable {
        grid-template-columns: repeat(5, var(--card-size));
    }

    .active_last .prices--scrollable {
        transform: translateX(calc(-1 * (var(--card-size) + -36px)));
    }
}

@media (min-width: 1025px) and (max-width: 1100px) {
    .price--top{
        max-width: 100%;
        margin: 0;
    }

    .scrollable-priceblock {
        max-width: unset;
        --card-size: 280px;
        position: relative;
        width: 100vw;
        left: 50%;
        transform: translateX(-50%);
    }

    .overflow_hidden_wrapper {
        overflow-x: auto;
        overflow-y: visible;
        padding: 0 2rem;
        scrollbar-width: none;
        &::-webkit-scrollbar { display: none; }
    }

    .display-grid.prices--scrollable {
        width: max-content;
        padding: 0; /* убираем если есть */
        pointer-events: all;
    }

    .wrapper_item-tariff {
        pointer-events: all;
    }

    .small_bind-item {
        display: none;
    }

    /* Сбрасываем десктопные трансформы */
    .active_last .prices--scrollable {
        transform: translateX(0);
        .wrapper_item-tariff:first-child {
            opacity: 1;
            pointer-events: all;
        }
    }

    .active_first .prices--scrollable {
        .wrapper_item-tariff:last-child {
            opacity: 1;
            pointer-events: all;
        }
    }

    .price--component-block{
        margin-top: 1.5rem;
        margin-bottom: 1.25rem;
    }

    .price--top-flex{
        flex-direction: column-reverse;
        justify-content: center;
        gap: 4rem;
    }

    .mainpage .price--tabs{
        width: 100%;
        justify-content: center;
    }
}

@media (max-width: 1024px) {
    .price--top{
        max-width: 100%;
        margin: 0;
    }

    .scrollable-priceblock {
        --card-size: 280px;
        position: relative;
        width: 100vw;
        left: 50%;
        transform: translateX(-50%);
    }

    .overflow_hidden_wrapper {
        overflow-x: auto;
        overflow-y: visible;
        padding: 0 2rem;
        scrollbar-width: none;
        &::-webkit-scrollbar { display: none; }
    }

    .display-grid.prices--scrollable {
        width: max-content;
        padding: 0; /* убираем если есть */
        pointer-events: all;
    }

    .wrapper_item-tariff {
        pointer-events: all;
    }

    .small_bind-item {
        display: none;
    }

    /* Сбрасываем десктопные трансформы */
    .active_last .prices--scrollable {
        transform: translateX(0);
        .wrapper_item-tariff:first-child {
            opacity: 1;
            pointer-events: all;
        }
    }

    .active_first .prices--scrollable {
        .wrapper_item-tariff:last-child {
            opacity: 1;
            pointer-events: all;
        }
    }

    .price--component-block{
        margin-top: 1.5rem;
        margin-bottom: 1.25rem;
    }

    .price--top-flex{
        flex-direction: column-reverse;
        justify-content: center;
        gap: 4rem;
    }

    .mainpage .price--tabs{
        width: 100%;
        justify-content: center;
    }
}

@media (max-width: 768px) {
    .price--tabs{
        flex-direction: column-reverse;
    }

    .price--label-text{
        text-align: center;
    }

    .price--top-flex{
        gap: 2.5rem;
    }

    .tarrif_priceblock {
        padding: 1.25rem;
    }

    /*.tarrif_priceblock{*/
    /*    padding: 1.25rem;*/
    /*    max-height: 837px;*/
    /*    overflow-y: hidden;*/
    /*    transition: 0.3s max-height ease;*/
    /*}*/

    /*.tarrif_priceblock.full{*/
    /*    padding: 1.25rem 1.25rem 3rem 1.25rem;*/
    /*    max-height: 100%;*/
    /*}*/
    /*.tarrif_priceblock.full::after {*/
    /*    display: none;*/
    /*}*/

    /*.more--compare.active--toggle,*/
    /*.less--compare.active--toggle{*/
    /*    display: block;*/
    /*    font-weight: 600;*/
    /*    font-size: 13px;*/
    /*    line-height: 20px;*/
    /*    text-decoration: underline;*/
    /*    text-decoration-style: dotted;*/
    /*    text-decoration-color: #969AA5;*/
    /*    color: #3761E9;*/
    /*    z-index: 5;*/
    /*}*/

    /*.tarrif_priceblock:not(.full)::after{*/
    /*    content: '';*/
    /*    position: absolute;*/
    /*    bottom: 0; left: 0; right: 0;*/
    /*    height: 300px;*/
    /*    background: linear-gradient(*/
    /*            to bottom,*/
    /*            transparent 20%,*/
    /*            var(--white) 80%*/

    /*    );*/


    .absolute--tooltip{
        .tooltip-text{
            max-width: 230px;
        }
    }

    .btn--prices{
        gap: calc(1rem - 4px);
        padding: 11px 20px !important;
        font-weight: 600 !important;
        font-size: 16px !important;
        line-height: 26px !important;
    }
}

@media (max-width: 400px) {
    .price--top-badge{
        flex-wrap: wrap;
        justify-content: center;
    }
}